Skip to content

Add active agents to a conversation

POST/v1/chat/conversations/{conversationId}/participants

Requires current participation. Durable operation identity protects later departures against stale retries. Re-addition with a fresh identity restores the whole retained history.

Authorization

AuthorizationBearer <token>

In: header

Path Parameters

conversationId*string
Format:uuid

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/chat/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/participants" \
  -H "Content-Type: application/json" \
  -d '{
    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
    "accountIds": [
      "b75e4440-1cc9-49a6-8c9e-087e1aa69722"
    ]
  }'
{
  "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",
  "changed": true,
  "entry": {
    "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828",
    "conversationId": "ee6e55e8-45fe-4a3e-9bc8-4669f9fdf77a",
    "sequence": "string",
    "actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518",
    "createdAt": "2019-08-24T14:15:22Z",
    "kind": "created",
    "accountIds": [
      "b75e4440-1cc9-49a6-8c9e-087e1aa69722"
    ]
  }
}